package com.szpg.db.data;

import java.util.Date;

import com.szpg.util.TimeFormat;

/**
 * 井盖状态数据表
 * 
 * @author admin
 *
 */
public class PgJgStat implements java.io.Serializable {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -3706226324665928352L;
	
	private Integer id;
	private Date logtime;
	private Date uptime;
	private Integer pgdeviceid;
	private Boolean jgopen;
	private Boolean jglock;

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Date getLogtime() {
		return logtime;
	}

	public void setLogtime(Date logtime) {
		this.logtime = logtime;
	}

	public Date getUptime() {
		return uptime;
	}

	public void setUptime(Date uptime) {
		this.uptime = uptime;
	}
	
	public Integer getPgdeviceid() {
		return pgdeviceid;
	}

	public void setPgdeviceid(Integer pgdeviceid) {
		this.pgdeviceid = pgdeviceid;
	}
	
	public Boolean getJgopen() {
		return jgopen;
	}

	public void setJgopen(Boolean jgopen) {
		this.jgopen = jgopen;
	}

	public Boolean getJglock() {
		return jglock;
	}

	public void setJglock(Boolean jglock) {
		this.jglock = jglock;
	}

	public void setTm(Date tm) {
		this.logtime = tm;
		this.uptime = tm;
	}
	
	public String getTmStr() {
		if (null != this.logtime) {
			return TimeFormat.formatTimestamp(logtime);
		} else {
			return "";
		}
	}
	
	public String getTmStrGB() {
		if (null != this.logtime) {
			return TimeFormat.format(logtime, "yyyyMMddHHmmss");
		} else {
			return "";
		}
	}

	@Override
	public String toString() {
		return "PgJgStat[open=" + jgopen + ", lock=" + jglock + ", logtime=" + TimeFormat.formatTimestamp(logtime) + "]";
	}
}
